## pycodestyle 2.11.1

=== Makefile ===
release:
	umask 022 && chmod -R a+rX . && python setup.py sdist bdist_wheel
	# twine upload dist/*

test:
	tox

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pycodestyle.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pycodestyle.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pycodestyle"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pycodestyle"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pycodestyle 2.0.0

=== debian/changelog ===
pycodestyle (2.0.0-1~cloud0) xenial-newton; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Aug 2016 08:25:59 +0000

pycodestyle (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #833683)

 -- Ondřej Nový <onovy@debian.org>  Mon, 08 Aug 2016 00:35:47 +0200

=== debian/control ===
Source: pycodestyle
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/pycodestyle
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pycodestyle.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pycodestyle.git

Package: pycodestyle
Architecture: all
Depends: python3-pkg-resources,
         python3-pycodestyle,
         ${misc:Depends},
         ${python3:Depends},
Description: Python style guide checker (formerly called pep8)
 Features a plugin architecture allowing for adding new checks is easily.
 Parseable output listing line numbers of the error location. Consists of
 just one Python file, and requires only stdlib.

Package: python-pycodestyle
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Replaces: pycodestyle (<< 1.6.2-0.1),
Description: Python style guide checker (formerly called pep8) - Python 2.x
 Features a plugin architecture allowing for adding new checks is easily.
 Parseable output listing line numbers of the error location. Consists of
 just one Python file, and requires only stdlib.
 .
 This package contains the Python 2.x module.

Package: python3-pycodestyle
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python style guide checker (formerly called pep8) - Python 3.x
 Features a plugin architecture allowing for adding new checks is easily.
 Parseable output listing line numbers of the error location. Consists of
 just one Python file, and requires only stdlib.
 .
 This package contains the Python 3.x module.

## pycodestyle 2.2.0

=== debian/changelog ===
pycodestyle (2.2.0-2~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 19 Nov 2016 17:56:07 +0000

pycodestyle (2.2.0-2) unstable; urgency=medium

  * Require same version of python3-pycodestyle and pycodestyle
    (Closes: #844990)

 -- Ondřej Nový <onovy@debian.org>  Sat, 19 Nov 2016 11:20:57 +0100

pycodestyle (2.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #844421)

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 Nov 2016 14:08:59 +0100

pycodestyle (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Tue, 08 Nov 2016 12:27:52 +0100

pycodestyle (2.0.0-2) unstable; urgency=medium

  * Added manpage (Closes: #841174)

 -- Ondřej Nový <onovy@debian.org>  Thu, 03 Nov 2016 22:09:56 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: pycodestyle
 Architecture: all
 Depends: python3-pkg-resources,
-         python3-pycodestyle,
+         python3-pycodestyle (=${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
 Description: Python style guide checker (formerly called pep8)

## pycodestyle 2.3.1

=== debian/changelog ===
pycodestyle (2.3.1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 10:18:17 +0200

pycodestyle (2.3.1-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Bump copyright years

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Feb 2017 09:37:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-setuptools,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pycodestyle

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	rm -rf debian/python-pycodestyle/usr/bin
	mkdir -p debian/pycodestyle/usr/bin
	mv debian/python3-pycodestyle/usr/bin/* debian/pycodestyle/usr/bin

=== debian/tests/control ===
Test-Command: cd "$ADTTMP" ; python -c "import pycodestyle; print pycodestyle.__version__"

Test-Command: cd "$ADTTMP" ; python3 -c "import pycodestyle; print(pycodestyle.__version__)"

Tests: python2
Depends: python-pycodestyle

Tests: python3
Depends: python3-pycodestyle

Tests: cli
Depends: pycodestyle

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pycodestyle/pycodestyle-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycodestyle 2.4.0

=== debian/changelog ===
pycodestyle (2.4.0-2) unstable; urgency=medium

  * Breaks older python{3,}-flake8

 -- Ondřej Nový <onovy@debian.org>  Fri, 28 Sep 2018 11:22:22 +0200

pycodestyle (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Standards version is 4.2.1 now (no changes needed)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * d/p/Keep-compability-with-stdlib-tokenize-py-changes.patch:
    Fix Python 3.7 (Closes: #904876)
  * Bump debhelper compat level to 11
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Thu, 27 Sep 2018 10:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/pycodestyle
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pycodestyle.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pycodestyle.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pycodestyle.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pycodestyle
 
 Package: pycodestyle
 Architecture: all
@@ -29,6 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
+Breaks: python-flake8 (<< 3.5.0-2~)
 Replaces: pycodestyle (<< 1.6.2-0.1),
 Description: Python style guide checker (formerly called pep8) - Python 2.x
  Features a plugin architecture allowing for adding new checks is easily.
@@ -41,6 +42,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-flake8 (<< 3.5.0-2~)
 Description: Python style guide checker (formerly called pep8) - Python 3.x
  Features a plugin architecture allowing for adding new checks is easily.
  Parseable output listing line numbers of the error location. Consists of

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import pycodestyle; print pycodestyle.__version__"

Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pycodestyle; print(pycodestyle.__version__)"

Tests: python2
Depends: python-pycodestyle

Tests: python3
Depends: python3-pycodestyle

Tests: cli
Depends: pycodestyle

## pycodestyle 2.5.0

=== debian/changelog ===
pycodestyle (2.5.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1.
  * Call python2 in the autopkg tests.

 -- Ondřej Nový <onovy@debian.org>  Fri, 17 Jan 2020 11:17:44 +0100

pycodestyle (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump standards version to 4.4.0 (no changes)
  * Mark pycodestyle binary package as Multi-Arch: foreign (Closes: #930602)
  * debian/patches/Keep-compatibility-with-stdlib-tokenize-py-changes.patch:
    Drop, applied upstream

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 15:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/pycodestyle
 Vcs-Git: https://salsa.debian.org/python-team/modules/pycodestyle.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pycodestyle
 
 Package: pycodestyle
 Architecture: all
+Multi-Arch: foreign
 Depends: python3-pkg-resources,
          python3-pycodestyle (=${binary:Version}),
          ${misc:Depends},

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; python2 -c "import pycodestyle; print pycodestyle.__version__"

Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pycodestyle; print(pycodestyle.__version__)"

Tests: python2
Depends: python-pycodestyle

Tests: python3
Depends: python3-pycodestyle

Tests: cli
Depends: pycodestyle

## pycodestyle 2.6.0

=== debian/changelog ===
pycodestyle (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Update for new upstream release.
  * Bump debhelper compat level to 13.
  * Set Rules-Requires-Root: no.
  * Add d/pybuild.testfiles.
  * Bump standards version to 4.5.0.
  * Remove broken mention of testsuite from setup.py.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 11:52:07 +0200

pycodestyle (2.5.0-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937408

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Mar 2020 00:58:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/pycodestyle
 Vcs-Git: https://salsa.debian.org/python-team/modules/pycodestyle.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pycodestyle
+Rules-Requires-Root: no
 
 Package: pycodestyle
 Architecture: all
@@ -26,19 +25,6 @@
  Parseable output listing line numbers of the error location. Consists of
  just one Python file, and requires only stdlib.
 
-Package: python-pycodestyle
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-Breaks: python-flake8 (<< 3.5.0-2~)
-Replaces: pycodestyle (<< 1.6.2-0.1),
-Description: Python style guide checker (formerly called pep8) - Python 2.x
- Features a plugin architecture allowing for adding new checks is easily.
- Parseable output listing line numbers of the error location. Consists of
- just one Python file, and requires only stdlib.
- .
- This package contains the Python 2.x module.
-
 Package: python3-pycodestyle
 Architecture: all
 Depends: ${misc:Depends},

## pycodestyle 2.8.0

=== debian/changelog ===
pycodestyle (2.8.0-2) unstable; urgency=medium

  * Team upload.
  * Update Breaks to newer python3-flake8 (Closes: #1006220)

 -- Scott Talbert <swt@techie.net>  Mon, 21 Feb 2022 10:10:01 -0500

pycodestyle (2.8.0-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

  [ Scott Talbert ]
  * Update to new upstream release 2.8.0
  * Update homepage
  * Update d/watch version to 4
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Thu, 17 Feb 2022 20:45:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: pycodestyle
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.5.0
-Homepage: https://pypi.python.org/pypi/pycodestyle
-Vcs-Git: https://salsa.debian.org/python-team/modules/pycodestyle.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pycodestyle
+Standards-Version: 4.6.0
+Homepage: https://github.com/PyCQA/pycodestyle
+Vcs-Git: https://salsa.debian.org/python-team/packages/pycodestyle.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pycodestyle
 Rules-Requires-Root: no
 
 Package: pycodestyle
@@ -29,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-flake8 (<< 3.5.0-2~)
+Breaks: python3-flake8 (<< 4.0.1-1~)
 Description: Python style guide checker (formerly called pep8) - Python 3.x
  Features a plugin architecture allowing for adding new checks is easily.
  Parseable output listing line numbers of the error location. Consists of

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pycodestyle

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/pycodestyle/usr/bin
	mv debian/python3-pycodestyle/usr/bin/* debian/pycodestyle/usr/bin

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pycodestyle/pycodestyle-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycodestyle 2.10.0

=== debian/changelog ===
pycodestyle (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.10.0 (Closes: #1026300)
  * Use dh-sequence-python3
  * Use execute_after in d/rules
  * Move package description to source package
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Dec 2022 09:52:17 +0100

pycodestyle (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Standards-Version to 4.6.1.

 -- Emanuele Rocca <ema@debian.org>  Thu, 01 Sep 2022 07:55:40 +0200

=== debian/control ===
Source: pycodestyle
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/PyCQA/pycodestyle
Vcs-Git: https://salsa.debian.org/python-team/packages/pycodestyle.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycodestyle
Rules-Requires-Root: no
Description: Python style guide checker (formerly called pep8)
 Features a plugin architecture allowing for adding new checks is easily.
 Parseable output listing line numbers of the error location. Consists of
 just one Python file, and requires only stdlib.

Package: pycodestyle
Architecture: all
Multi-Arch: foreign
Depends: python3-pkg-resources,
         python3-pycodestyle (=${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-pycodestyle
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Breaks: python3-flake8 (<< 4.0.1-1~)
Description: ${source:Synopsis} - Python 3.x
 ${source:Extended-Description}
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pycodestyle

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/pycodestyle/usr/bin
	mv debian/python3-pycodestyle/usr/bin/* debian/pycodestyle/usr/bin

## pycodestyle 2.11.1

=== debian/changelog ===
pycodestyle (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Add support for Python 3.12. (Closes: #1042121)
  * Execute upstream tests during package build and autopkgtest
  * Use GitHub tags as source tarball

 -- Benjamin Drung <bdrung@debian.org>  Thu, 07 Dec 2023 13:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
+               python3-pytest <!nocheck>,
                python3-setuptools,
 Standards-Version: 4.6.2
 Homepage: https://github.com/PyCQA/pycodestyle
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycodestyle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycodestyle
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Description: Python style guide checker (formerly called pep8)
  Features a plugin architecture allowing for adding new checks is easily.
  Parseable output listing line numbers of the error location. Consists of

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pycodestyle; print(pycodestyle.__version__)"

Tests: python3
Depends: python3-pycodestyle

Tests: cli
Depends: pycodestyle

=== debian/watch ===
version=4
opts=filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,uversionmangle=s/(rc|a|b|c)/~$1/,searchmode=plain \
  https://api.github.com/repos/PyCQA/@PACKAGE@/tags?per_page=100 \
  https://api.github.com/repos/PyCQA/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@

## pycodestyle 2.12.1

=== debian/changelog ===
pycodestyle (2.12.1-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083570)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 22:08:55 +0100

pycodestyle (2.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Nov 2024 16:32:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
@@ -22,8 +21,7 @@
 Package: pycodestyle
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-pkg-resources,
-         python3-pycodestyle (=${binary:Version}),
+Depends: python3-pycodestyle (=${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
 Description: ${source:Synopsis}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME = pycodestyle
+export PYBUILD_TEST_ARGS=-s $(CURDIR)
 
 %:
 	dh $@ --buildsystem=pybuild

## pycodestyle 2.14.0

=== debian/changelog ===
pycodestyle (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Jan 2026 09:55:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest <!nocheck>,
                python3-setuptools,
@@ -11,7 +12,6 @@
 Homepage: https://github.com/PyCQA/pycodestyle
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycodestyle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycodestyle
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Description: Python style guide checker (formerly called pep8)
  Features a plugin architecture allowing for adding new checks is easily.
